# SPDX-FileCopyrightText: 2023 Aravinth Manivannan <realaravinth@batsense.net>
#
# SPDX-License-Identifier: AGPL-3.0-or-later
/* main.tf */
variable "libvirt_uri" {
  description = "URI of libvert socket"
  type        = string
  default     = "qemu:///system"
}

variable "libvirt_pool_path" {
  description = "Path of libvirt storage pool"
  type        = string
  default     = "/home/atm/code/libvirt/pool/mcaptcha_basic"
}

variable "libvirt_debian_src" {
  description = "Location of Debian 11 qcow2 image"
  type        = string
  default     = "/home/atm/disk-images/debian/12/clould/debian-12-generic-amd64.qcow2"
}

/* demo server */
variable "mcaptcha_demo_server_vm_count" {
  description = "Number of VMs to be deployed to run demo server"
  type        = number
  default     = 1
}

variable "mcaptcha_demo_server_vm_disk_size" {
  description = "Size of disk of VM running demo server in bytes"
  type        = number
  default     = 8000000000 # 8GB
}

variable "mcaptcha_demo_server_vm_memory" {
  description = "Memory of VM running demo server in MB"
  type        = number
  default     = 2000 # 2GB
}

variable "mcaptcha_demo_server_vm_vcpu" {
  description = "Number of CPUs of VM demo server locust"
  type        = number
  default     = 4
}


/* locust server  server */
variable "mcaptcha_dos_vm_count" {
  description = "Number of VMs to be deployed to run locust"
  type        = number
  default     = 2
}

variable "mcaptcha_dos_vm_disk_size" {
  description = "Size of disk of VMs running locust in bytes"
  type        = number
  default     = 8000000000 # 8GB
}

variable "mcaptcha_dos_vm_memory" {
  description = "Memory of VMs running locust in MB"
  type        = number
  default     = 2000 # 2GB
}

variable "mcaptcha_dos_vm_vcpu" {
  description = "Number of CPUs of VMs running locust"
  type        = number
  default     = 4
}


/* mcaptcha/mcaptcha server  server */
variable "mcaptcha_mcaptcha_vm_count" {
  description = "Number of VMs to be deployed to run mcaptcha/mcaptcha"
  type        = number
  default     = 1
}

variable "mcaptcha_mcaptcha_vm_disk_size" {
  description = "Size of disk of VMs running mcaptcha/mcaptcha in bytes"
  type        = number
  default     = 8000000000 # 8GB
}

variable "mcaptcha_mcaptcha_vm_memory" {
  description = "Memory of VMs running mcaptcha/mcaptcha in MB"
  type        = number
  default     = 2000 # 2GB
}

variable "mcaptcha_mcaptcha_vm_vcpu" {
  description = "Number of CPUs of VMs running mcaptcha/mcaptcha"
  type        = number
  default     = 4
}
