# SPDX-FileCopyrightText: 2023 Aravinth Manivannan <realaravinth@batsense.net>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

import os


def test_redis_is_listening(host):
    socket = host.socket(f"tcp://0.0.0.0:6379")
    assert socket.is_listening


def test_redis_config_exists(host):
    config = host.file("/etc/redis/redis.conf")
    assert config.exists
    assert config.is_file


def test_redis_service_running_and_enabled(host):
    service = host.service("redis")
    assert service.is_running
    assert service.is_enabled
